GNU Radio C++ API Reference: gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T > Class Template Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T > Class Template Reference

`#include <gnuradio/filter/fir_filter.h>`

## Public Member Functions
| fir_filter (const std::vector< TAP_T > &taps)
| fir_filter (const fir_filter &)=delete
fir_filter & | operator= (const fir_filter &)=delete
| fir_filter (fir_filter &&)=default
fir_filter & | operator= (fir_filter &&)=default
void | set_taps (const std::vector< TAP_T > &taps)
void | update_tap (TAP_T t, unsigned int index)
std::vector< TAP_T > | taps () const
unsigned int | ntaps () const
OUT_T | filter (const IN_T input[]) const
void | filterN (OUT_T output[], const IN_T input[], unsigned long n)
void | filterNdec (OUT_T output[], const IN_T input[], unsigned long n, unsigned int decimate)

## Protected Attributes
std::vector< TAP_T > | d_taps
unsigned int | d_ntaps
std::vector< volk::vector< TAP_T > > | d_aligned_taps
volk::vector< OUT_T > | d_output
int | d_align
int | d_naligned

## Constructor & Destructor Documentation

## ◆ fir_filter() [1/3]

template<class IN_T, class OUT_T, class TAP_T>

gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::fir_filter | ( | const std::vector< TAP_T > & | taps | ) |

## ◆ fir_filter() [2/3]

template<class IN_T, class OUT_T, class TAP_T>

gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::fir_filter | ( | const fir_filter< IN_T, OUT_T, TAP_T > & |  | ) |
| delete

## ◆ fir_filter() [3/3]

template<class IN_T, class OUT_T, class TAP_T>

gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::fir_filter | ( | fir_filter< IN_T, OUT_T, TAP_T > && |  | ) |
| default

## Member Function Documentation

## ◆ filter()

template<class IN_T, class OUT_T, class TAP_T>

OUT_T gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::filter | ( | const IN_T | input[] | ) | const

## ◆ filterN()

template<class IN_T, class OUT_T, class TAP_T>

void gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::filterN | ( | OUT_T | output[],
|  | const IN_T | input[],
|  | unsigned long | n )

## ◆ filterNdec()

template<class IN_T, class OUT_T, class TAP_T>

void gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::filterNdec | ( | OUT_T | output[],
|  | const IN_T | input[],
|  | unsigned long | n,
|  | unsigned int | decimate )

## ◆ ntaps()

template<class IN_T, class OUT_T, class TAP_T>

unsigned int gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::ntaps | ( |  | ) | const

## ◆ operator=() [1/2]

template<class IN_T, class OUT_T, class TAP_T>

fir_filter & gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::operator= | ( | const fir_filter< IN_T, OUT_T, TAP_T > & |  | ) |
| delete

## ◆ operator=() [2/2]

template<class IN_T, class OUT_T, class TAP_T>

fir_filter & gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::operator= | ( | fir_filter< IN_T, OUT_T, TAP_T > && |  | ) |
| default

## ◆ set_taps()

template<class IN_T, class OUT_T, class TAP_T>

void gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::set_taps | ( | const std::vector< TAP_T > & | taps | ) |

## ◆ taps()

template<class IN_T, class OUT_T, class TAP_T>

std::vector< TAP_T > gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::taps | ( |  | ) | const

## ◆ update_tap()

template<class IN_T, class OUT_T, class TAP_T>

void gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::update_tap | ( | TAP_T | t,
|  | unsigned int | index )

## Member Data Documentation

## ◆ d_align

template<class IN_T, class OUT_T, class TAP_T>

int gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::d_align
| protected

## ◆ d_aligned_taps

template<class IN_T, class OUT_T, class TAP_T>

std::vector<volk::vector<TAP_T> > gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::d_aligned_taps
| protected

## ◆ d_naligned

template<class IN_T, class OUT_T, class TAP_T>

int gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::d_naligned
| protected

## ◆ d_ntaps

template<class IN_T, class OUT_T, class TAP_T>

unsigned int gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::d_ntaps
| protected

## ◆ d_output

template<class IN_T, class OUT_T, class TAP_T>

volk::vector<OUT_T> gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::d_output
| protected

## ◆ d_taps

template<class IN_T, class OUT_T, class TAP_T>

std::vector<TAP_T> gr::filter::kernel::fir_filter< IN_T, OUT_T, TAP_T >::d_taps
| protected

The documentation for this class was generated from the following file:

- fir_filter.h